# Generated by Django 5.0.4 on 2024-04-22 19:07

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("events", "0007_userevent_registered"),
    ]

    operations = [
        migrations.AddField(
            model_name="event",
            name="contact_info",
            field=models.CharField(blank=True, max_length=100, null=True),
        ),
        migrations.AddField(
            model_name="event",
            name="description",
            field=models.TextField(blank=True, null=True),
        ),
        migrations.AddField(
            model_name="event",
            name="email",
            field=models.EmailField(blank=True, max_length=254, null=True),
        ),
        migrations.AddField(
            model_name="event",
            name="event_type",
            field=models.CharField(
                choices=[("INTERNAL", "Internal"), ("EXTERNAL", "External")],
                default="OTHER",
                max_length=20,
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="event",
            name="level",
            field=models.CharField(
                choices=[
                    ("COLLEGE", "College Level"),
                    ("DEPARTMENT", "Department Level"),
                    ("INTER_COLLEGE", "Inter-College Level"),
                    ("OTHER", "Other"),
                ],
                default="OTHER",
                max_length=20,
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="event",
            name="nature",
            field=models.CharField(
                choices=[
                    ("TECH", "Technical"),
                    ("NON_TECH", "Non-Technical"),
                    ("CULTURAL", "Cultural"),
                    ("OTHER", "Other"),
                ],
                default="OTHER",
                max_length=20,
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="event",
            name="website",
            field=models.URLField(blank=True, null=True),
        ),
    ]
